Bug 1291143 - [abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: icedtea-web (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:beba4d2bf86fb916218f68c9db7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 01:33 EST by Amol
Modified: 2016-12-20 11:59 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:59:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.04 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: core_backtrace (49.32 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: dso_list (13.17 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: environ (2.97 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: maps (68.24 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: open_fds (2.26 KB, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details
File: var_log_messages (349 bytes, text/plain)
2015-12-14 01:34 EST, Amol
no flags Details

  None (edit)
Description Amol 2015-12-14 01:33:54 EST
Description of problem:
using Vuze

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.65-4.b17.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/lib/jvm/jre/bin/java -cp /usr/lib64/eclipse/swt.jar:/usr/share/java/json_simple.jar:/usr/share/java/bcprov.jar:/usr/share/java/apache-commons-cli.jar:/usr/share/java/apache-commons-lang.jar:/usr/share/java/log4j.jar:/usr/share/azureus/Azureus2.jar:./Azureus2.jar:./swt.jar -Djava.library.path=/home/admin/.azureus/app -Dazureus.install.path=/home/admin/.azureus/app -Dazureus.script=/usr/bin/azureus -Dazureus.script.version=4 -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dazureus.skipSWTcheck=1 org.gudy.azureus2.platform.unix.ScriptBeforeStartup /tmp/Solutions+Manual+Computer+Organization+and+Design+4th+Edition.torrent
crash_function: signalHandler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-4.b17.fc23.x86_64/jre/bin/java
global_pid:     4137
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-4.b17.fc23.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4222
 #7 plugin_filter_ld_library_path at /usr/src/debug/icedtea-web-1.6.1/plugin/icedteanp/IcedTeaNPPlugin.cc:1402
 #8 plugin_filter_environment at /usr/src/debug/icedtea-web-1.6.1/plugin/icedteanp/IcedTeaNPPlugin.cc:1427
 #9 plugin_test_appletviewer at /usr/src/debug/icedtea-web-1.6.1/plugin/icedteanp/IcedTeaNPPlugin.cc:1452
 #10 NP_Initialize at /usr/src/debug/icedtea-web-1.6.1/plugin/icedteanp/IcedTeaNPPlugin.cc:2055
 #11 WebCore::PluginPackage::load at Source/WebCore/plugins/gtk/PluginPackageGtk.cpp:186
 #12 WebCore::PluginPackage::fetchInfo at Source/WebCore/plugins/gtk/PluginPackageGtk.cpp:45
 #13 WebCore::PluginPackage::createPackage at Source/WebCore/plugins/PluginPackage.cpp:165
 #14 WebCore::PluginDatabase::refresh at Source/WebCore/plugins/PluginDatabase.cpp:141
 #15 WebCore::PluginDatabase::installedPlugins at Source/WebCore/plugins/PluginDatabase.cpp:71

Potential duplicate: bug 1179524
Comment 1 Amol 2015-12-14 01:34:06 EST
Created attachment 1105477 [details]
File: backtrace
Comment 2 Amol 2015-12-14 01:34:12 EST
Created attachment 1105478 [details]
File: cgroup
Comment 3 Amol 2015-12-14 01:34:16 EST
Created attachment 1105479 [details]
File: core_backtrace
Comment 4 Amol 2015-12-14 01:34:19 EST
Created attachment 1105480 [details]
File: dso_list
Comment 5 Amol 2015-12-14 01:34:22 EST
Created attachment 1105481 [details]
File: environ
Comment 6 Amol 2015-12-14 01:34:25 EST
Created attachment 1105482 [details]
File: limits
Comment 7 Amol 2015-12-14 01:34:30 EST
Created attachment 1105483 [details]
File: maps
Comment 8 Amol 2015-12-14 01:34:33 EST
Created attachment 1105484 [details]
File: mountinfo
Comment 9 Amol 2015-12-14 01:34:35 EST
Created attachment 1105485 [details]
File: namespaces
Comment 10 Amol 2015-12-14 01:34:43 EST
Created attachment 1105486 [details]
File: open_fds
Comment 11 Amol 2015-12-14 01:34:45 EST
Created attachment 1105487 [details]
File: proc_pid_status
Comment 12 Amol 2015-12-14 01:34:47 EST
Created attachment 1105488 [details]
File: var_log_messages
Comment 13 Deepak Bhole 2015-12-14 13:20:54 EST
Trace indicates origin in webkitgtk code:
#25 0x00007fcacfe24962 in webkit_web_view_new () at Source/WebKit/gtk/webkit/webkitwebview.cpp:3910

Re-assigning to right component.
Comment 14 Deepak Bhole 2015-12-15 09:53:49 EST
Sorry Tomas, I did not notice icedtea-web in the original message :/

Re-assigning to Jiri.
Comment 15 jiri vanek 2015-12-15 10:07:23 EST
How can I reproduce this?
Comment 16 Amol 2015-12-15 10:16:53 EST
Hi Jiri,

I am not sure, how to reproduce this bug,? 
I do remember that after this happens and I am forced to restart GNOME session.

If you need any other information, or any file, please let me know.
Comment 17 jiri vanek 2015-12-15 10:21:28 EST
This is crash in browser plugin. So you had to had opened browser and visited some url.

This url crashed the plugin. Thats what I need to reproduce.
From stacktrace I can see that it maybe not even enough, ant hthe appelt you encountered will work for me.
Comment 18 Amol 2015-12-15 10:35:06 EST
Apologies from my side to understand below statement:

"From stacktrace I can see that it maybe not even enough, ant hthe appelt you encountered will work for me."

Do you need details of browser plugins?, 
Active Plugins: 
1. IcedTea-Web Plugin (using IcedTea-Web 1.6.1 (fedora-4.fc23-x86_64))
2. Shockwave Flash 10.1 r999. Gnash 0.8.10, the GNU SWF Player.
3. Shockwave Flash 11.2 r202


As far as url is concerns, I visited multiple torrent sites in multiple tabs like torrenthound,rarbg,etc.
Comment 19 jiri vanek 2015-12-15 10:56:56 EST
I need to know the url which caused crash. Without it I can not proceed.

You were runing vuze in browser? I know they had java applet but I suppose they already killed it. If so. I really need much more informations to reproduce it (eg how to run web based vuze....)

if you are not facing it regularly% I would vote for close insufficient data.
Comment 20 Fedora End Of Life 2016-11-24 09:13:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 11:59:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.